| Openscape Voice V10 - SOAP Interface Documentation

Public Attributes | List of all members
unsp__GToGCACPolicyInfo Struct Reference
Call Admission Control

Group To Group CAC Policy information. More...

`#include <osv-if-doc.h>`

## Public Attributes
xsd__short | CACPolicyId
| CAC Policy Id. More...
xsd__string | CACGroup1Name
| First CAC Group Name. More...
xsd__string | CACGroup2Name
| Second CAC Group Name. More...
xsd__short | CACPolicyType
| CAC Policy Type. More...
enum unsp__CACPolicyLimitType | CACPolicyLimitType
| CAC Policy Limit Type. More...
xsd__short | CallLimit
| Call Limit. More...
xsd__int | BandWidthLimit
| Bandwidth Limit. More...
xsd__string | CACPolicyName
| CAC Policy Name. More...
enum unsp__CACPolicyOptionFlag * | CACPolicyOptionFlag
struct unsp__CACPolicyAttributes * | CACPolicyAttributes
| CAC Policy Attributes. More...
struct unsp__CACPolicyCodecsAllowed * | CACPolicyCodecsAllowed
| Policy Codecs allowed. More...
struct unsp__CACPolicyVideoCodecsAllowed * | CACPolicyVideoCodecsAllowed
| Policy Video Codecs allowed. More...
enum unsp__ProfileLevel * | MaximumProfileLevel
| Maximum allowed profile level for H.264. More...
xsd__boolean * | GenerateAlarm
| Enable or disable generation of alarms when the CACPolicyLimitType exceeds its thresholds. More...
xsd__short * | AlarmLowThreshold
| The low percentage threshold for the selected policy type. More...
xsd__short * | AlarmHighThreshold
| The high percentage threshold for the selected policy type. More...
xsd__int * | MaxVideoCodecBandWidth
| Maximum Video Codec Bandwidth. More...
bool * | Directionalization
| Directionalization. More...
bool * | USDoDAsac
| US DoD ASAC. More...
xsd__short * | MaxNumOfInCalls
| Maximum number of Incoming Calls. More...
xsd__short * | MaxNumOfOutCalls
| Maximum number of Outgoing Calls. More...
xsd__int * | MaxInBandwidth
| Maximum Incoming Bandwidth (Kbps)[VSU=500Kbps]. More...
xsd__int * | MaxOutBandwidth
| Maximum Outgoing Bandwidth (Kbps)[VSU=500Kbps]. More...
bool * | useTIASForBWCalculation
| Use TIAS for BW Calculation. More...
xsd__int * | transportOverhead
| Transport Overhead. More...

## Detailed Description

Group To Group CAC Policy information.

## Member Data Documentation

## ◆ AlarmHighThreshold

xsd__short* unsp__GToGCACPolicyInfo::AlarmHighThreshold

The high percentage threshold for the selected policy type.

When exceeded an alarm will be generated if GenerateAlarm is set to true.

## ◆ AlarmLowThreshold

xsd__short* unsp__GToGCACPolicyInfo::AlarmLowThreshold

The low percentage threshold for the selected policy type.

When exceeded an alarm will be generated if GenerateAlarm is set to true.

## ◆ BandWidthLimit

xsd__int unsp__GToGCACPolicyInfo::BandWidthLimit

Bandwidth Limit.

## ◆ CACGroup1Name

xsd__string unsp__GToGCACPolicyInfo::CACGroup1Name

First CAC Group Name.

See also
  unsp__CGName

## ◆ CACGroup2Name

xsd__string unsp__GToGCACPolicyInfo::CACGroup2Name

Second CAC Group Name.

See also
  unsp__CGName

## ◆ CACPolicyAttributes

struct unsp__CACPolicyAttributes* unsp__GToGCACPolicyInfo::CACPolicyAttributes

CAC Policy Attributes.

## ◆ CACPolicyCodecsAllowed

struct unsp__CACPolicyCodecsAllowed* unsp__GToGCACPolicyInfo::CACPolicyCodecsAllowed

Policy Codecs allowed.

## ◆ CACPolicyId

xsd__short unsp__GToGCACPolicyInfo::CACPolicyId

CAC Policy Id.

## ◆ CACPolicyLimitType

enum unsp__CACPolicyLimitType unsp__GToGCACPolicyInfo::CACPolicyLimitType

CAC Policy Limit Type.

## ◆ CACPolicyName

xsd__string unsp__GToGCACPolicyInfo::CACPolicyName

CAC Policy Name.

default value[range]: NA [1..30]

## ◆ CACPolicyOptionFlag

enum unsp__CACPolicyOptionFlag* unsp__GToGCACPolicyInfo::CACPolicyOptionFlag

Deprecated:
  NA

## ◆ CACPolicyType

xsd__short unsp__GToGCACPolicyInfo::CACPolicyType

CAC Policy Type.

- 0x0004 (VideoPolicyType)
- 0x0005 (Voice & VideoPolicyType)
- 0x0006 (FaxPolicyType)

## ◆ CACPolicyVideoCodecsAllowed

struct unsp__CACPolicyVideoCodecsAllowed* unsp__GToGCACPolicyInfo::CACPolicyVideoCodecsAllowed

Policy Video Codecs allowed.

## ◆ CallLimit

xsd__short unsp__GToGCACPolicyInfo::CallLimit

Call Limit.

## ◆ Directionalization

bool* unsp__GToGCACPolicyInfo::Directionalization

Directionalization.

required: false
default value[range]: false

## ◆ GenerateAlarm

xsd__boolean* unsp__GToGCACPolicyInfo::GenerateAlarm

Enable or disable generation of alarms when the CACPolicyLimitType exceeds its thresholds.

## ◆ MaximumProfileLevel

enum unsp__ProfileLevel* unsp__GToGCACPolicyInfo::MaximumProfileLevel

Maximum allowed profile level for H.264.

## ◆ MaxInBandwidth

xsd__int* unsp__GToGCACPolicyInfo::MaxInBandwidth

Maximum Incoming Bandwidth (Kbps)[VSU=500Kbps].

required: false

## ◆ MaxNumOfInCalls

xsd__short* unsp__GToGCACPolicyInfo::MaxNumOfInCalls

Maximum number of Incoming Calls.

required: false

## ◆ MaxNumOfOutCalls

xsd__short* unsp__GToGCACPolicyInfo::MaxNumOfOutCalls

Maximum number of Outgoing Calls.

required: false

## ◆ MaxOutBandwidth

xsd__int* unsp__GToGCACPolicyInfo::MaxOutBandwidth

Maximum Outgoing Bandwidth (Kbps)[VSU=500Kbps].

required: false

## ◆ MaxVideoCodecBandWidth

xsd__int* unsp__GToGCACPolicyInfo::MaxVideoCodecBandWidth

Maximum Video Codec Bandwidth.

## ◆ transportOverhead

xsd__int* unsp__GToGCACPolicyInfo::transportOverhead

Transport Overhead.

required: false
default value[range]: 10 [0-100]

## ◆ USDoDAsac

bool* unsp__GToGCACPolicyInfo::USDoDAsac

US DoD ASAC.

required: false
default value[range]: false

## ◆ useTIASForBWCalculation

bool* unsp__GToGCACPolicyInfo::useTIASForBWCalculation

Use TIAS for BW Calculation.

required: false
default value[range]: false

The documentation for this struct was generated from the following file:

- /home/build/gitlocal/osv_nem/submgmt/doc/osv-if-doc.h